Assign users to a role

Assign users to a role.

post

If any of the users is not found, it will be ignored.

Path parameters
roleIdstringRequired

The id of the role.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

This class represents the request data transfer object for associating permissions by role.

userIdsstring[]Required

The list id of the user to assign the role to.

Responses
chevron-right
200

The request was successful.

application/json

The API result model with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Required

This is the message to be displayed to the user.

databooleanOptional
post
/api/v1/roles/{roleId}/users

Last updated